### Enumeration

# Qmi NasSwiImsRegState

since: 1.24

#### Declaration

    enum Qmi.NasSwiImsRegState

#### Description [src]

IMS registration state. (Sierra Wireless specific).

Available since: 1.24

#### Members

`QMI_NAS_SWI_IMS_REG_NO_SRV`

  No service.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_SWI_IMS_REG_IN_PROG`

  In prog.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_SWI_IMS_REG_FAILED`

  Failed.

  - Value: `2`
  - Available since: 1.24
`QMI_NAS_SWI_IMS_REG_LIMITED`

  Limited.

  - Value: `3`
  - Available since: 1.24
`QMI_NAS_SWI_IMS_REG_FULL_SRV`

  Full service.

  - Value: `4`
  - Available since: 1.24
`QMI_NAS_SWI_IMS_REG__UNKNOWN`

  Unknown.

  - Value: `255`
  - Available since: 1.24

#### Type functions

###### qmi_nas_swi_ims_reg_state_get_string

Gets the nickname string for the `QmiNasSwiImsRegState` specified at `val`.

since: 1.24